import { Router } from 'aurelia-router';
import { autoinject, BindingEngine, PLATFORM, useView } from 'aurelia-framework';
import { I18N } from 'aurelia-i18n';
import { EnumerationTypeDetailViewModelBase } from './enumeration-type-detail-view-model-base';
import { ServiceBase } from './../../data/service-base';
import { EnumerationType } from './../../model/common-model';
import { CustomLogger } from './../../modules/custom-logger';

@autoinject
@useView(PLATFORM.moduleName('./enumeration-type-detail-view-model-base.html'))
export class EnumerationTypeDetail extends EnumerationTypeDetailViewModelBase {
  protected get applicationParametersService(): ServiceBase<any> {
    return null;
  }

  constructor(router: Router, logger: CustomLogger, i18n: I18N, bindingEngine: BindingEngine) {
    super(router, logger, i18n, bindingEngine, true);
    super.initialize(new ServiceBase<EnumerationType>('EnumerationType'));
  }
}
